package com.qmth.teachcloud.common.config;

import com.qmth.teachcloud.common.domain.FssDomain;
import com.qmth.teachcloud.common.domain.SysDomain;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 数据字典
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
@Configuration
public class DictionaryConfig {

    /**
     * 系统配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "sys.config")
    public SysDomain sysDomain() {
        return new SysDomain();
    }

    @Bean
    @ConfigurationProperties(prefix = "com.qmth.fss.public", ignoreUnknownFields = false)
    public FssDomain fssPublicDomain() {
        return new FssDomain();
    }

    @Bean
    @ConfigurationProperties(prefix = "com.qmth.fss.private", ignoreUnknownFields = false)
    public FssDomain fssPrivateDomain() {
        return new FssDomain();
    }
}
